﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.SQLudeoDB
{
    public class SuccessEntity
    {
        [ForeignKey(nameof(User))]
        public int UserId { get; set; }
        public UserEntity User { get; set; }

        [ForeignKey(nameof(Inquiry))]
        public int InquiryId { get; set; }
        public InquiryEntity Inquiry { get; set; }
        public bool IsFinished { get; set; }

        public SuccessEntity() { }

        public SuccessEntity(int userId, int inquiryId, bool isFinished)
        {
            UserId = userId;
            InquiryId = inquiryId;
            IsFinished = isFinished;
        }

        public SuccessEntity(UserEntity user, InquiryEntity inquiry, bool isFinished)
        {
            User = user;
            Inquiry = inquiry;
            IsFinished = isFinished;
        }
    }
}
