﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Model.Mappers
{
    public static class LessonMapper
    {
        public static Lesson FromDTOToModel(this LessonDTO dto)
        {
            return new Lesson(dto.Id, dto.Title, dto.LastPublisher, dto.LastEdit);
        }

        public static Lesson FromEntityToModel(this LessonEntity entity)
        {
            return new Lesson(entity.Id, entity.Title, entity.LastPublisher, entity.LastEdit);
        }

        public static LessonDTO FromModelToDTO(this Lesson lesson)
        {
            return new LessonDTO(lesson.Id, lesson.Title, lesson.LastPublisher, lesson.LastEdit);
        }

        public static LessonEntity FromModelToEntity(this Lesson lesson)
        {
            return new LessonEntity(lesson.Id, lesson.Title, lesson.LastPublisher, lesson.LastEdit);
        }
    }
}
