﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Mappers
{
    public static class ParagraphMapper
    {
        public static Paragraph FromDTOToModel(this ParagraphDTO dto)
        {
            return new Paragraph(dto.Id, dto.Title, dto.Content, dto.Info, dto.Query, dto.Comment);
        }

        public static Paragraph FromEntityToModel(this ParagraphEntity entity)
        {
            return new Paragraph(entity.Id, entity.Title, entity.Content, entity.Info, entity.Query, entity.Comment);
        }

        public static ParagraphDTO FromModelToDTO(this Paragraph paragraph)
        {
            return new ParagraphDTO(paragraph.Id, paragraph.Title, paragraph.Content, paragraph.Info, paragraph.Query, paragraph.Comment);
        }

        public static ParagraphEntity FromModelToEntity(this Paragraph paragraph)
        {
            return new ParagraphEntity(paragraph.Id, paragraph.Title, paragraph.Content, paragraph.Info, paragraph.Query, paragraph.Comment);
        }
    }
}
