﻿namespace Shared
{
    public interface IGenericService<T> where T : class
    {
        public Task<T?> AddItem(T? item);
        public Task<bool> DeleteItem(int id);
        public Task<T> UpdateItem<TDto>(int? id, TDto? newItem) where TDto : class;
        public Task<IEnumerable<T>> GetItems(int index, int count, string? orderingPropertyName = null, object? valueProperty = null);
    }
}
